scrub-obsolete Package - kwin

Ready changes

Merge these changes:

git pull https://janitor.debian.net/git/kwin scrub-obsolete/main

Diff

diff --git a/debian/changelog b/debian/changelog
index 847fbd7..7ab881e 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+kwin (4:5.19.5-4) UNRELEASED; urgency=medium
+
+  * Remove constraints unnecessary since stretch:
+    + Build-Depends: Drop versioned constraint on cmake, pkg-kde-tools.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Sun, 08 Nov 2020 07:45:42 -0000
+
 kwin (4:5.19.5-3) unstable; urgency=medium
 
   * Release to unstable.
diff --git a/debian/control b/debian/control
index eb53bb1..f0160b3 100644
--- a/debian/control
+++ b/debian/control
@@ -6,7 +6,7 @@ Uploaders: Scarlett Moore <sgmoore@kde.org>,
            Patrick Franz <patfra71@gmail.com>,
            Norbert Preining <norbert@preining.info>,
 Build-Depends: breeze-dev (>= 4:5.17~),
-               cmake (>= 3.1~),
+               cmake,
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.38.0~),
                gettext,
@@ -74,7 +74,7 @@ Build-Depends: breeze-dev (>= 4:5.17~),
                libxi-dev,
                libxkbcommon-dev (>= 0.7.0~),
                pkg-config,
-               pkg-kde-tools (>= 0.15.18~),
+               pkg-kde-tools,
                python3,
                dh-python,
                qtbase5-dev (>= 5.14.0~),

Run locally

Try this locally (using the lintian-brush package):

debcheckout kwin
cd kwin
deb-scrub-obsolete

More details

Full run details